hdf5-1.8.15: Haskell interface to the HDF5 scientific data storage library.

Safe Haskell | None
Language | Haskell2010

Bindings.HDF5

# Documentation

data IndexType Source #

Constructors

ByName |
ByCreationOrder |

#### Instances

Instances details

Bounded IndexType Source # |
Instance details Defined in Bindings.HDF5.Core Methods minBound :: IndexType Source # maxBound :: IndexType Source #
Enum IndexType Source # |

Instance details

Defined in Bindings.HDF5.Core

Methods

succ :: IndexType -> IndexType Source #

pred :: IndexType -> IndexType Source #

toEnum :: Int -> IndexType Source #

fromEnum :: IndexType -> Int Source #

enumFrom :: IndexType -> [IndexType] Source #

enumFromThen :: IndexType -> IndexType -> [IndexType] Source #

enumFromTo :: IndexType -> IndexType -> [IndexType] Source #

enumFromThenTo :: IndexType -> IndexType -> IndexType -> [IndexType] Source #

Read IndexType Source # |
Instance details Defined in Bindings.HDF5.Core Methods readsPrec :: Int -> ReadS IndexType Source # readList :: ReadS [IndexType] Source # readPrec :: ReadPrec IndexType Source # readListPrec :: ReadPrec [IndexType] Source #
Show IndexType Source # |
Instance details Defined in Bindings.HDF5.Core Methods showsPrec :: Int -> IndexType -> ShowS Source # show :: IndexType -> String Source # showList :: [IndexType] -> ShowS Source #
Eq IndexType Source # |
Instance details Defined in Bindings.HDF5.Core Methods (==) :: IndexType -> IndexType -> Bool Source # (/=) :: IndexType -> IndexType -> Bool Source #
Ord IndexType Source # |

Instance details

Defined in Bindings.HDF5.Core

Methods

compare :: IndexType -> IndexType -> Ordering Source #

(<) :: IndexType -> IndexType -> Bool Source #

(<=) :: IndexType -> IndexType -> Bool Source #

(>) :: IndexType -> IndexType -> Bool Source #

(>=) :: IndexType -> IndexType -> Bool Source #

max :: IndexType -> IndexType -> IndexType Source #

min :: IndexType -> IndexType -> IndexType Source #

data IterOrder Source #

Constructors

Increasing |
Decreasing |
Native |

#### Instances

Instances details

Bounded IterOrder Source # |
Instance details Defined in Bindings.HDF5.Core Methods minBound :: IterOrder Source # maxBound :: IterOrder Source #
Enum IterOrder Source # |

Instance details

Defined in Bindings.HDF5.Core

Methods

succ :: IterOrder -> IterOrder Source #

pred :: IterOrder -> IterOrder Source #

toEnum :: Int -> IterOrder Source #

fromEnum :: IterOrder -> Int Source #

enumFrom :: IterOrder -> [IterOrder] Source #

enumFromThen :: IterOrder -> IterOrder -> [IterOrder] Source #

enumFromTo :: IterOrder -> IterOrder -> [IterOrder] Source #

enumFromThenTo :: IterOrder -> IterOrder -> IterOrder -> [IterOrder] Source #

Read IterOrder Source # |
Instance details Defined in Bindings.HDF5.Core Methods readsPrec :: Int -> ReadS IterOrder Source # readList :: ReadS [IterOrder] Source # readPrec :: ReadPrec IterOrder Source # readListPrec :: ReadPrec [IterOrder] Source #
Show IterOrder Source # |
Instance details Defined in Bindings.HDF5.Core Methods showsPrec :: Int -> IterOrder -> ShowS Source # show :: IterOrder -> String Source # showList :: [IterOrder] -> ShowS Source #
Eq IterOrder Source # |
Instance details Defined in Bindings.HDF5.Core Methods (==) :: IterOrder -> IterOrder -> Bool Source # (/=) :: IterOrder -> IterOrder -> Bool Source #
Ord IterOrder Source # |

Instance details

Defined in Bindings.HDF5.Core

Methods

compare :: IterOrder -> IterOrder -> Ordering Source #

(<) :: IterOrder -> IterOrder -> Bool Source #

(<=) :: IterOrder -> IterOrder -> Bool Source #

(>) :: IterOrder -> IterOrder -> Bool Source #

(>=) :: IterOrder -> IterOrder -> Bool Source #

max :: IterOrder -> IterOrder -> IterOrder Source #

min :: IterOrder -> IterOrder -> IterOrder Source #

data IH_Info Source #

Constructors

IH_Info |

Fields

- indexSize :: !HSize
- heapSize :: !HSize

#### Instances

Instances details

Read IH_Info Source # |
Instance details Defined in Bindings.HDF5.Core Methods readsPrec :: Int -> ReadS IH_Info Source # readList :: ReadS [IH_Info] Source # readPrec :: ReadPrec IH_Info Source # readListPrec :: ReadPrec [IH_Info] Source #
Show IH_Info Source # |
Instance details Defined in Bindings.HDF5.Core Methods showsPrec :: Int -> IH_Info -> ShowS Source # show :: IH_Info -> String Source # showList :: [IH_Info] -> ShowS Source #
Eq IH_Info Source # |
Instance details Defined in Bindings.HDF5.Core Methods (==) :: IH_Info -> IH_Info -> Bool Source # (/=) :: IH_Info -> IH_Info -> Bool Source #
Ord IH_Info Source # |
Instance details Defined in Bindings.HDF5.Core Methods compare :: IH_Info -> IH_Info -> Ordering Source # (<) :: IH_Info -> IH_Info -> Bool Source # (<=) :: IH_Info -> IH_Info -> Bool Source # (>) :: IH_Info -> IH_Info -> Bool Source # (>=) :: IH_Info -> IH_Info -> Bool Source # max :: IH_Info -> IH_Info -> IH_Info Source # min :: IH_Info -> IH_Info -> IH_Info Source #

module Bindings.HDF5.Attribute

module Bindings.HDF5.Core

module Bindings.HDF5.Dataset

module Bindings.HDF5.Dataspace

module Bindings.HDF5.Datatype

module Bindings.HDF5.File

module Bindings.HDF5.Group

module Bindings.HDF5.Link

module Bindings.HDF5.Object

module Bindings.HDF5.PropertyList

module Bindings.HDF5.PropertyList.DAPL

module Bindings.HDF5.PropertyList.DCPL

module Bindings.HDF5.PropertyList.DXPL

module Bindings.HDF5.PropertyList.FAPL

module Bindings.HDF5.PropertyList.FCPL

module Bindings.HDF5.PropertyList.FMPL

module Bindings.HDF5.PropertyList.GAPL

module Bindings.HDF5.PropertyList.OCPYPL

module Bindings.HDF5.PropertyList.STRCPL

module Bindings.HDF5.PropertyList.TAPL

module Bindings.HDF5.PropertyList.TCPL